Package net.md_5.bungee.api.score

# Class Team

java.lang.Object
net.md_5.bungee.api.score.Team

public class Team extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Team(@NonNull String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPlayer(String name)`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getCollisionRule()`
  `int`
  `getColor()`
  `String`
  `getDisplayName()`
  `byte`
  `getFriendlyFire()`
  `@NonNull String`
  `getName()`
  `String`
  `getNameTagVisibility()`
  `Collection<String>`
  `getPlayers()`
  `String`
  `getPrefix()`
  `String`
  `getSuffix()`
  `int`
  `hashCode()`
  `void`
  `removePlayer(String name)`
  `void`
  `setCollisionRule(String collisionRule)`
  `void`
  `setColor(int color)`
  `void`
  `setDisplayName(String displayName)`
  `void`
  `setFriendlyFire(byte friendlyFire)`
  `void`
  `setNameTagVisibility(String nameTagVisibility)`
  `void`
  `setPlayers(Set<String> players)`
  `void`
  `setPrefix(String prefix)`
  `void`
  `setSuffix(String suffix)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Team

    public Team(@NonNull @NonNull String name)

- ## Method Details

  - ### getPlayers

    public Collection<String> getPlayers()

  - ### addPlayer

    public void addPlayer(String name)

  - ### removePlayer

    public void removePlayer(String name)

  - ### getName

    @NonNull public @NonNull String getName()

  - ### getDisplayName

    public String getDisplayName()

  - ### getPrefix

    public String getPrefix()

  - ### getSuffix

    public String getSuffix()

  - ### getFriendlyFire

    public byte getFriendlyFire()

  - ### getNameTagVisibility

    public String getNameTagVisibility()

  - ### getCollisionRule

    public String getCollisionRule()

  - ### getColor

    public int getColor()

  - ### setDisplayName

    public void setDisplayName(String displayName)

  - ### setPrefix

    public void setPrefix(String prefix)

  - ### setSuffix

    public void setSuffix(String suffix)

  - ### setFriendlyFire

    public void setFriendlyFire(byte friendlyFire)

  - ### setNameTagVisibility

    public void setNameTagVisibility(String nameTagVisibility)

  - ### setCollisionRule

    public void setCollisionRule(String collisionRule)

  - ### setColor

    public void setColor(int color)

  - ### setPlayers

    public void setPlayers(Set<String> players)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`